Index: t3lib/class.t3lib_tceforms.php
===================================================================
--- t3lib/class.t3lib_tceforms.php	(revision 9469)
+++ t3lib/class.t3lib_tceforms.php	(revision )
@@ -4878,14 +4851,14 @@
 	 * @param	string		Alternative template to use instead of the default.
 	 * @return	string
 	 */
-	function intoTemplate($inArr,$altTemplate='')	{
+	function intoTemplate($inArr, $altTemplate = '') {
-				// Put into template_
+			// Put into template_
-		$fieldTemplateParts = explode('###FIELD_',$this->rplColorScheme($altTemplate?$altTemplate:$this->fieldTemplate));
+		$fieldTemplateParts = explode('###FIELD_', $this->rplColorScheme($altTemplate ? $altTemplate : $this->fieldTemplate));
-		$out=current($fieldTemplateParts);
+		$out = current($fieldTemplateParts);
 		foreach ($fieldTemplateParts as $part) {
-			list($key,$val)=explode('###',$part,2);
+			list($key, $val) = explode('###', $part, 2);
-			$out.=$inArr[$key];
+			$out .= $inArr[$key];
-			$out.=$val;
+			$out .= $val;
 		}
 		return $out;
 	}
@@ -4901,7 +4874,7 @@
 	 * @return	array		marker array for template output
 	 * @see function intoTemplate()
 	 */
-	function addUserTemplateMarkers($marker,$table,$field,$row,&$PA)	{
+	function addUserTemplateMarkers($marker, $table, $field, $row, &$PA) {
 		return $marker;
 	}
 
@@ -4912,7 +4885,7 @@
 	 * @param	string		Input string.
 	 * @return	string		Output string.
 	 */
-	function wrapLabels($str)	{
+	function wrapLabels($str) {
 		return $str;
 	}
 
@@ -4925,9 +4898,9 @@
 	 * @param	string		The table name
 	 * @return	string
 	 */
-	function wrapTotal($c,$rec,$table)	{
+	function wrapTotal($c, $rec, $table) {
-		$parts = $this->replaceTableWrap(explode('|',$this->totalWrap,2),$rec,$table);
+		$parts = $this->replaceTableWrap(explode('|', $this->totalWrap, 2), $rec, $table);
-		return $parts[0].$c.$parts[1].implode('',$this->hiddenFieldAccum);
+		return $parts[0] . $c . $parts[1] . implode('', $this->hiddenFieldAccum);
 	}
 
 	/**
@@ -4938,13 +4911,13 @@
 	 * @param	string		The table name
 	 * @return	string
 	 */
-	function replaceTableWrap($arr,$rec,$table)	{
+	function replaceTableWrap($arr, $rec, $table) {
 		global $TCA;
 
 			// Make "new"-label
-		if (strstr($rec['uid'],'NEW'))	{
+		if (strstr($rec['uid'], 'NEW')) {
-			$newLabel = ' <span class="typo3-TCEforms-newToken">'.
+			$newLabel = ' <span class="typo3-TCEforms-newToken">' .
-						$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.new',1).
+						$GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.new', 1) .
 						'</span>';
 
 				// Kasper: Should not be used here because NEW records are not offline workspace versions...
@@ -4968,8 +4941,8 @@
 				$pageTitle = sprintf($label, $tableTitle, $pageTitle);
 			}
 		} else {
-			$newLabel = ' <span class="typo3-TCEforms-recUid">['.$rec['uid'].']</span>';
+			$newLabel = ' <span class="typo3-TCEforms-recUid">[' . $rec['uid'] . ']</span>';
-			$rLabel   = t3lib_BEfunc::getRecordTitle($table, $rec, TRUE, FALSE);
+			$rLabel = t3lib_BEfunc::getRecordTitle($table, $rec, TRUE, FALSE);
 			$prec = t3lib_BEfunc::getRecordWSOL('pages', $rec['pid'], 'uid,title');
 
 				// Fetch translated title of the table
@@ -5002,12 +4975,12 @@
 			}
 		}
 
-		foreach ($arr as $k => $v)	{
+		foreach ($arr as $k => $v) {
 				// Make substitutions:
 			$arr[$k] = str_replace('###PAGE_TITLE###', $pageTitle, $arr[$k]);
 			$arr[$k] = str_replace('###ID_NEW_INDICATOR###', $newLabel, $arr[$k]);
 			$arr[$k] = str_replace('###RECORD_LABEL###', $rLabel, $arr[$k]);
-			$arr[$k] = str_replace('###TABLE_TITLE###',htmlspecialchars($this->sL($TCA[$table]['ctrl']['title'])),$arr[$k]);
+			$arr[$k] = str_replace('###TABLE_TITLE###', htmlspecialchars($this->sL($TCA[$table]['ctrl']['title'])), $arr[$k]);
 
 			$arr[$k] = str_replace('###RECORD_ICON###', t3lib_iconWorks::getSpriteIconForRecord($table, $rec, array('title' => $this->getRecordPath($table, $rec))), $arr[$k]);
 
@@ -5022,16 +4995,16 @@
 	 * @param	integer		The pointer to the entry in the $out_array  (passed by reference and incremented!)
 	 * @return	void
 	 */
-	function wrapBorder(&$out_array,&$out_pointer)	{
+	function wrapBorder(&$out_array, &$out_pointer) {
-		if ($this->sectionWrap && $out_array[$out_pointer])	{
+		if ($this->sectionWrap && $out_array[$out_pointer]) {
-			$tableAttribs='';
+			$tableAttribs = '';
-			$tableAttribs.= $this->borderStyle[0] ? ' style="'.htmlspecialchars($this->borderStyle[0]).'"':'';
+			$tableAttribs .= $this->borderStyle[0] ? ' style="' . htmlspecialchars($this->borderStyle[0]) . '"' : '';
-			$tableAttribs.= $this->borderStyle[2] ? ' background="'.htmlspecialchars($this->backPath.$this->borderStyle[2]).'"':'';
+			$tableAttribs .= $this->borderStyle[2] ? ' background="' . htmlspecialchars($this->backPath . $this->borderStyle[2]) . '"' : '';
-			$tableAttribs.= $this->borderStyle[3] ? ' class="'.htmlspecialchars($this->borderStyle[3]).'"':'';
+			$tableAttribs .= $this->borderStyle[3] ? ' class="' . htmlspecialchars($this->borderStyle[3]) . '"' : '';
-			if ($tableAttribs)	{
+			if ($tableAttribs) {
-				$tableAttribs='border="0" cellspacing="0" cellpadding="0" width="100%"'.$tableAttribs;
+				$tableAttribs = 'border="0" cellspacing="0" cellpadding="0" width="100%"' . $tableAttribs;
-				$out_array[$out_pointer] = str_replace('###CONTENT###',$out_array[$out_pointer],
+				$out_array[$out_pointer] = str_replace('###CONTENT###', $out_array[$out_pointer],
-					str_replace('###TABLE_ATTRIBS###',$tableAttribs, $this->sectionWrap));
+													   str_replace('###TABLE_ATTRIBS###', $tableAttribs, $this->sectionWrap));
 			}
 			$out_pointer++;
 		}
@@ -5043,16 +5016,16 @@
 	 * @param	string		Template string with markers to be substituted.
 	 * @return	string
 	 */
-	function rplColorScheme($inTemplate)	{
+	function rplColorScheme($inTemplate) {
 			// Colors:
-		$inTemplate = str_replace('###BGCOLOR###',$this->colorScheme[0]?' bgcolor="'.$this->colorScheme[0].'"':'',$inTemplate);
+		$inTemplate = str_replace('###BGCOLOR###', $this->colorScheme[0] ? ' bgcolor="' . $this->colorScheme[0] . '"' : '', $inTemplate);
-		$inTemplate = str_replace('###BGCOLOR_HEAD###',$this->colorScheme[1]?' bgcolor="'.$this->colorScheme[1].'"':'',$inTemplate);
+		$inTemplate = str_replace('###BGCOLOR_HEAD###', $this->colorScheme[1] ? ' bgcolor="' . $this->colorScheme[1] . '"' : '', $inTemplate);
-		$inTemplate = str_replace('###FONTCOLOR_HEAD###',$this->colorScheme[3],$inTemplate);
+		$inTemplate = str_replace('###FONTCOLOR_HEAD###', $this->colorScheme[3], $inTemplate);
 
 			// Classes:
-		$inTemplate = str_replace('###CLASSATTR_1###',$this->classScheme[0]?' class="'.$this->classScheme[0].'"':'',$inTemplate);
+		$inTemplate = str_replace('###CLASSATTR_1###', $this->classScheme[0] ? ' class="' . $this->classScheme[0] . '"' : '', $inTemplate);
-		$inTemplate = str_replace('###CLASSATTR_2###',$this->classScheme[1]?' class="'.$this->classScheme[1].'"':'',$inTemplate);
+		$inTemplate = str_replace('###CLASSATTR_2###', $this->classScheme[1] ? ' class="' . $this->classScheme[1] . '"' : '', $inTemplate);
-		$inTemplate = str_replace('###CLASSATTR_4###',$this->classScheme[3]?' class="'.$this->classScheme[3].'"':'',$inTemplate);
+		$inTemplate = str_replace('###CLASSATTR_4###', $this->classScheme[3] ? ' class="' . $this->classScheme[3] . '"' : '', $inTemplate);
 
 		return $inTemplate;
 	}
@@ -5110,15 +5083,15 @@
 				$lastLineWasLinebreak = FALSE;
 				$fieldIdentifierForJs = $content['TABLE'] . '_' . $content['ID'] . '_' . $content['FIELD'];
 				$iRow[$row][] = '<span class="t3-form-palette-field-container">' .
-						'<label' . $labelAttributes . '>' .
-							$content['NAME'] .
-							'<img name="req_' . $fieldIdentifierForJs . '" src="clear.gif" class="t3-form-palette-icon-required" alt="" />' .
-							'<img name="cm_' . $fieldIdentifierForJs . '" src="clear.gif" class="t3-form-palette-icon-contentchanged" alt="" />' .
-						'</label>' .
-						'<span' . $fieldAttributes . '>' .
-							$content['ITEM'] .
-						'</span>' .
-					'</span>';
+								'<label' . $labelAttributes . '>' .
+								$content['NAME'] .
+								'<img name="req_' . $fieldIdentifierForJs . '" src="clear.gif" class="t3-form-palette-icon-required" alt="" />' .
+								'<img name="cm_' . $fieldIdentifierForJs . '" src="clear.gif" class="t3-form-palette-icon-contentchanged" alt="" />' .
+								'</label>' .
+								'<span' . $fieldAttributes . '>' .
+								$content['ITEM'] .
+								'</span>' .
+								'</span>';
 			}
 		}
 
@@ -5145,9 +5118,9 @@
 	 * @return	string		HTML, <a>-tag with
 	 * @deprecated since TYPO3 4.5, will be removed in TYPO3 4.7
 	 */
-	function helpTextIcon($table,$field,$force=0)	{
+	function helpTextIcon($table, $field, $force = 0) {
 		t3lib_div::logDeprecatedFunction();
-		if ($this->globalShowHelp && $GLOBALS['TCA_DESCR'][$table]['columns'][$field] && (($this->edit_showFieldHelp=='icon'&&!$this->doLoadTableDescr($table)) || $force))	{
+		if ($this->globalShowHelp && $GLOBALS['TCA_DESCR'][$table]['columns'][$field] && (($this->edit_showFieldHelp == 'icon' && !$this->doLoadTableDescr($table)) || $force)) {
 			return t3lib_BEfunc::helpTextIcon($table, $field, $this->backPath, $force);
 		} else {
 				// Detects fields with no CSH and outputs dummy line to insert into CSH locallang file:
@@ -5163,19 +5136,19 @@
 	 * @return	string
 	 * @deprecated since TYPO3 4.5, will be removed in TYPO3 4.7
 	 */
-	function helpText($table,$field)	{
+	function helpText($table, $field) {
 		t3lib_div::logDeprecatedFunction();
-		if ($this->globalShowHelp && $GLOBALS['TCA_DESCR'][$table]['columns'][$field] && ($this->edit_showFieldHelp=='text' || $this->doLoadTableDescr($table)))	{
+		if ($this->globalShowHelp && $GLOBALS['TCA_DESCR'][$table]['columns'][$field] && ($this->edit_showFieldHelp == 'text' || $this->doLoadTableDescr($table))) {
 			$fDat = $GLOBALS['TCA_DESCR'][$table]['columns'][$field];
-			return '<table border="0" cellpadding="2" cellspacing="0" width="90%"><tr><td valign="top" width="14">'.
+			return '<table border="0" cellpadding="2" cellspacing="0" width="90%"><tr><td valign="top" width="14">' .
-					$this->helpTextIcon(
-						$table,
-						$field,
+				   $this->helpTextIcon(
+					   $table,
+					   $field,
-						$fDat['details']||$fDat['syntax']||$fDat['image_descr']||$fDat['image']||$fDat['seeAlso']
+					   $fDat['details'] || $fDat['syntax'] || $fDat['image_descr'] || $fDat['image'] || $fDat['seeAlso']
-					).
+				   ) .
-					'</td><td valign="top"><span class="typo3-TCEforms-helpText">'.
+				   '</td><td valign="top"><span class="typo3-TCEforms-helpText">' .
-					$GLOBALS['LANG']->hscAndCharConv(strip_tags($fDat['description']),1).
+				   $GLOBALS['LANG']->hscAndCharConv(strip_tags($fDat['description']), 1) .
-					'</span></td></tr></table>';
+				   '</span></td></tr></table>';
 		}
 	}
 
@@ -5205,19 +5178,19 @@
 					if ($alttitle) {
 						$hoverText = '<span class="header">' . $alttitle . '</span><br />' . $hoverText;
 					}
-					$hoverText = '<span class="typo3-csh-inline">' . $GLOBALS['LANG']->hscAndCharConv($hoverText, false) . '</span>';
+					$hoverText = '<span class="typo3-csh-inline">' . $GLOBALS['LANG']->hscAndCharConv($hoverText, FALSE) . '</span>';
 				}
 
 					// CSH exists
 				$params = base64_encode(serialize(array(
-					'cshFile' => $cshFile,
-					'field' => $field,
-					'title' => $fieldTitle
-				)));
+													   'cshFile' => $cshFile,
+													   'field' => $field,
+													   'title' => $fieldTitle
+												  )));
-				$aOnClick = 'vHWin=window.open(\''.$this->backPath.'view_help.php?ffID=' . $params . '\',\'viewFieldHelp\',\'height=400,width=600,status=0,menubar=0,scrollbars=1\');vHWin.focus();return false;';
+				$aOnClick = 'vHWin=window.open(\'' . $this->backPath . 'view_help.php?ffID=' . $params . '\',\'viewFieldHelp\',\'height=400,width=600,status=0,menubar=0,scrollbars=1\');vHWin.focus();return false;';
-				return '<a href="#" class="typo3-csh-link" onclick="'.htmlspecialchars($aOnClick).'">'.
+				return '<a href="#" class="typo3-csh-link" onclick="' . htmlspecialchars($aOnClick) . '">' .
-						t3lib_iconWorks::getSpriteIcon('actions-system-help-open') . $hoverText .
-				'</a>';
+					   t3lib_iconWorks::getSpriteIcon('actions-system-help-open') . $hoverText .
+					   '</a>';
 			}
 		}
 		return '';
@@ -5235,14 +5208,14 @@
 			$value = $GLOBALS['LANG']->sL($cshFile . ':' . $field . '.description');
 			if (trim($value)) {
 				return '<table border="0" cellpadding="2" cellspacing="0" width="90%"><tr><td valign="top" width="14">' .
-					$this->helpTextIcon_typeFlex(
-						$field,
-						$fieldTitle,
-						$cshFile
+					   $this->helpTextIcon_typeFlex(
+						   $field,
+						   $fieldTitle,
+						   $cshFile
-					).
+					   ) .
-					'</td><td valign="top"><span class="typo3-TCEforms-helpText-flexform">' .
-					$GLOBALS['LANG']->hscAndCharConv(strip_tags($value), 1) .
-					'</span></td></tr></table>';
+					   '</td><td valign="top"><span class="typo3-TCEforms-helpText-flexform">' .
+					   $GLOBALS['LANG']->hscAndCharConv(strip_tags($value), 1) .
+					   '</span></td></tr></table>';
 			}
 		}
 		return '';
@@ -5255,31 +5228,39 @@
 	 * @param	string		A color scheme string.
 	 * @return	void
 	 */
-	function setColorScheme($scheme)	{
+	function setColorScheme($scheme) {
 		$this->colorScheme = $this->defColorScheme;
 		$this->classScheme = $this->defClassScheme;
 
-		$parts = t3lib_div::trimExplode(',',$scheme);
+		$parts = t3lib_div::trimExplode(',', $scheme);
-		foreach($parts as $key => $col)	{
+		foreach ($parts as $key => $col) {
 				// Split for color|class:
-			list($color,$class) = t3lib_div::trimExplode('|',$col);
+			list($color, $class) = t3lib_div::trimExplode('|', $col);
 
 				// Handle color values:
-			if ($color)	$this->colorScheme[$key] = $color;
-			if ($color=='-')	$this->colorScheme[$key] = '';
+			if ($color) {
+				$this->colorScheme[$key] = $color;
+			}
+			if ($color == '-') {
+				$this->colorScheme[$key] = '';
+			}
 
 				// Handle class values:
-			if ($class)	$this->classScheme[$key] = $class;
-			if ($class=='-')	$this->classScheme[$key] = '';
+			if ($class) {
+				$this->classScheme[$key] = $class;
-		}
+			}
+			if ($class == '-') {
+				$this->classScheme[$key] = '';
-	}
+			}
+		}
+	}
 
 	/**
 	 * Reset color schemes.
 	 *
 	 * @return	void
 	 */
-	function resetSchemes()	{
+	function resetSchemes() {
 		$this->setColorScheme($GLOBALS['TBE_STYLES']['colorschemes'][0]);
 		$this->fieldStyle = $GLOBALS['TBE_STYLES']['styleschemes'][0];
 		$this->borderStyle = $GLOBALS['TBE_STYLES']['borderschemes'][0];
@@ -5290,7 +5271,7 @@
 	 *
 	 * @return	void
 	 */
-	function storeSchemes()	{
+	function storeSchemes() {
 		$this->savedSchemes['classScheme'] = $this->classScheme;
 		$this->savedSchemes['colorScheme'] = $this->colorScheme;
 		$this->savedSchemes['fieldStyle'] = $this->fieldStyle;
@@ -5302,7 +5283,7 @@
 	 *
 	 * @return	void
 	 */
-	function restoreSchemes()	{
+	function restoreSchemes() {
 		$this->classScheme = $this->savedSchemes['classScheme'];
 		$this->colorScheme = $this->savedSchemes['colorScheme'];
 		$this->fieldStyle = $this->savedSchemes['fieldStyle'];
@@ -5310,17 +5291,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
 	/********************************************
 	 *
 	 * JavaScript related functions
@@ -5332,21 +5302,21 @@
 	 *
 	 * @return	string		A <script></script> section with JavaScript.
 	 */
-	function JStop()	{
+	function JStop() {
 
 		$out = '';
 
 			// Additional top HTML:
-		if (count($this->additionalCode_pre))	{
+		if (count($this->additionalCode_pre)) {
-			$out.= implode('
+			$out .= implode('
 
 				<!-- NEXT: -->
-			',$this->additionalCode_pre);
+			', $this->additionalCode_pre);
 		}
 
 			// Additional top JavaScript
-		if (count($this->additionalJS_pre))	{
+		if (count($this->additionalJS_pre)) {
-			$out.='
+			$out .= '
 
 
 		<!--
@@ -5356,10 +5326,10 @@
 		<script type="text/javascript">
 			/*<![CDATA[*/
 
-			'.implode('
+			' . implode('
 
-				// NEXT:
+					// NEXT:
-			',$this->additionalJS_pre).'
+			', $this->additionalJS_pre) . '
 
 			/*]]>*/
 		</script>
@@ -5373,18 +5343,18 @@
 	/**
 	 * JavaScript code used for input-field evaluation.
 	 *
-	 * 		Example use:
+	 *		 Example use:
 	 *
-	 * 		$msg .= 'Distribution time (hh:mm dd-mm-yy):<br /><input type="text" name="send_mail_datetime_hr" onchange="typo3form.fieldGet(\'send_mail_datetime\', \'datetime\', \'\', 0,0);"' . $GLOBALS['TBE_TEMPLATE']->formWidth(20) . ' /><input type="hidden" value="' . $GLOBALS['EXEC_TIME'] . '" name="send_mail_datetime" /><br />';
+	 *		 $msg .= 'Distribution time (hh:mm dd-mm-yy):<br /><input type="text" name="send_mail_datetime_hr" onchange="typo3form.fieldGet(\'send_mail_datetime\', \'datetime\', \'\', 0,0);"' . $GLOBALS['TBE_TEMPLATE']->formWidth(20) . ' /><input type="hidden" value="' . $GLOBALS['EXEC_TIME'] . '" name="send_mail_datetime" /><br />';
-	 * 		$this->extJSCODE.='typo3form.fieldSet("send_mail_datetime", "datetime", "", 0,0);';
+	 *		 $this->extJSCODE.='typo3form.fieldSet("send_mail_datetime", "datetime", "", 0,0);';
 	 *
-	 * 		... and then include the result of this function after the form
+	 *		 ... and then include the result of this function after the form
 	 *
 	 * @param	string		$formname: The identification of the form on the page.
 	 * @param	boolean		$update: Just extend/update existing settings, e.g. for AJAX call
 	 * @return	string		A section with JavaScript - if $update is false, embedded in <script></script>
 	 */
-	function JSbottom($formname='forms[0]', $update = false)	{
+	function JSbottom($formname = 'forms[0]', $update = FALSE) {
 		$jsFile = array();
 		$elements = array();
 
@@ -5411,7 +5381,7 @@
 			}
 		}
 
-		$this->TBE_EDITOR_fieldChanged_func='TBE_EDITOR.fieldChanged_fName(fName,formObj[fName+"_list"]);';
+		$this->TBE_EDITOR_fieldChanged_func = 'TBE_EDITOR.fieldChanged_fName(fName,formObj[fName+"_list"]);';
 
 		if (!$update) {
 			if ($this->loadMD5_JS) {
@@ -5429,7 +5399,7 @@
 				$this->loadJavascriptLib('../t3lib/js/extjs/ux/ext.resizable.js');
 			}
 			$resizableSettings = array(
-				'textareaMaxHeight' => $GLOBALS['BE_USER']->uc['resizeTextareas_MaxHeight'] >0 ? $GLOBALS['BE_USER']->uc['resizeTextareas_MaxHeight'] : '600',
+				'textareaMaxHeight' => $GLOBALS['BE_USER']->uc['resizeTextareas_MaxHeight'] > 0 ? $GLOBALS['BE_USER']->uc['resizeTextareas_MaxHeight'] : '600',
 				'textareaFlexible' => (!$GLOBALS['BE_USER']->uc['resizeTextareas_Flexible'] == '0'),
 				'textareaResize' => (!$GLOBALS['BE_USER']->uc['resizeTextareas'] == '0'),
 			);
@@ -5441,8 +5411,8 @@
 				// needed for tceform manipulation (date picker)
 			$typo3Settings = array(
 				'datePickerUSmode' => $GLOBALS['TYPO3_CONF_VARS']['SYS']['USdateFormat'] ? 1 : 0,
-				'dateFormat'       => array('j-n-Y', 'G:i j-n-Y'),
+				'dateFormat' => array('j-n-Y', 'G:i j-n-Y'),
-				'dateFormatUS'     => array('n-j-Y', 'G:i n-j-Y'),
+				'dateFormatUS' => array('n-j-Y', 'G:i n-j-Y'),
 			);
 			$pageRenderer->addInlineSettingArray('', $typo3Settings);
 
@@ -5453,8 +5423,8 @@
 				$GLOBALS['SOBE']->doc->getPageRenderer()->loadScriptaculous();
 				$this->loadJavascriptLib('../t3lib/jsfunc.inline.js');
 				$out .= '
-				inline.setPrependFormFieldNames("'.$this->inline->prependNaming.'");
+				inline.setPrependFormFieldNames("' . $this->inline->prependNaming . '");
-				inline.setNoTitleString("'.addslashes(t3lib_BEfunc::getNoRecordTitle(true)).'");
+				inline.setNoTitleString("' . addslashes(t3lib_BEfunc::getNoRecordTitle(TRUE)) . '");
 				';
 			}
 
@@ -5477,10 +5447,10 @@
 				Element.toggle(""+id+"-content");
 
 				if (Element.visible(id+"-content")) {
-					$(id+"-toggle").update(\''.$toggleIcon_open.'\')
+					$(id+"-toggle").update(\'' . $toggleIcon_open . '\')
 					$(id+"-toggleClosed").value = 0;
 				} else {
-					$(id+"-toggle").update(\''.$toggleIcon_close.'\');
+					$(id+"-toggle").update(\'' . $toggleIcon_close . '\');
 					$(id+"-toggleClosed").value = 1;
 				}
 
@@ -5533,32 +5503,32 @@
 				}
 			}
 
-			TBE_EDITOR.images.req.src = "'.t3lib_iconWorks::skinImg($this->backPath,'gfx/required_h.gif','',1).'";
+			TBE_EDITOR.images.req.src = "' . t3lib_iconWorks::skinImg($this->backPath, 'gfx/required_h.gif', '', 1) . '";
-			TBE_EDITOR.images.cm.src = "'.t3lib_iconWorks::skinImg($this->backPath,'gfx/content_client.gif','',1).'";
+			TBE_EDITOR.images.cm.src = "' . t3lib_iconWorks::skinImg($this->backPath, 'gfx/content_client.gif', '', 1) . '";
-			TBE_EDITOR.images.sel.src = "'.t3lib_iconWorks::skinImg($this->backPath,'gfx/content_selected.gif','',1).'";
+			TBE_EDITOR.images.sel.src = "' . t3lib_iconWorks::skinImg($this->backPath, 'gfx/content_selected.gif', '', 1) . '";
-			TBE_EDITOR.images.clear.src = "'.$this->backPath.'clear.gif";
+			TBE_EDITOR.images.clear.src = "' . $this->backPath . 'clear.gif";
 
-			TBE_EDITOR.auth_timeout_field = '.intval($GLOBALS['BE_USER']->auth_timeout_field).';
+			TBE_EDITOR.auth_timeout_field = ' . intval($GLOBALS['BE_USER']->auth_timeout_field) . ';
-			TBE_EDITOR.formname = "'.$formname.'";
+			TBE_EDITOR.formname = "' . $formname . '";
-			TBE_EDITOR.formnameUENC = "'.rawurlencode($formname).'";
+			TBE_EDITOR.formnameUENC = "' . rawurlencode($formname) . '";
-			TBE_EDITOR.backPath = "'.addslashes($this->backPath).'";
+			TBE_EDITOR.backPath = "' . addslashes($this->backPath) . '";
-			TBE_EDITOR.prependFormFieldNames = "'.$this->prependFormFieldNames.'";
+			TBE_EDITOR.prependFormFieldNames = "' . $this->prependFormFieldNames . '";
-			TBE_EDITOR.prependFormFieldNamesUENC = "'.rawurlencode($this->prependFormFieldNames).'";
+			TBE_EDITOR.prependFormFieldNamesUENC = "' . rawurlencode($this->prependFormFieldNames) . '";
-			TBE_EDITOR.prependFormFieldNamesCnt = '.substr_count($this->prependFormFieldNames,'[').';
+			TBE_EDITOR.prependFormFieldNamesCnt = ' . substr_count($this->prependFormFieldNames, '[') . ';
-			TBE_EDITOR.isPalettedoc = '.($this->isPalettedoc ? addslashes($this->isPalettedoc) : 'null').';
+			TBE_EDITOR.isPalettedoc = ' . ($this->isPalettedoc ? addslashes($this->isPalettedoc) : 'null') . ';
-			TBE_EDITOR.doSaveFieldName = "'.($this->doSaveFieldName ? addslashes($this->doSaveFieldName) : '').'";
+			TBE_EDITOR.doSaveFieldName = "' . ($this->doSaveFieldName ? addslashes($this->doSaveFieldName) : '') . '";
-			TBE_EDITOR.labels.fieldsChanged = '.$GLOBALS['LANG']->JScharCode($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.fieldsChanged')).';
+			TBE_EDITOR.labels.fieldsChanged = ' . $GLOBALS['LANG']->JScharCode($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.fieldsChanged')) . ';
-			TBE_EDITOR.labels.fieldsMissing = '.$GLOBALS['LANG']->JScharCode($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.fieldsMissing')).';
+			TBE_EDITOR.labels.fieldsMissing = ' . $GLOBALS['LANG']->JScharCode($GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.fieldsMissing')) . ';
-			TBE_EDITOR.labels.refresh_login = '.$GLOBALS['LANG']->JScharCode($this->getLL('m_refresh_login')).';
+			TBE_EDITOR.labels.refresh_login = ' . $GLOBALS['LANG']->JScharCode($this->getLL('m_refresh_login')) . ';
-			TBE_EDITOR.labels.onChangeAlert = '.$GLOBALS['LANG']->JScharCode($this->getLL('m_onChangeAlert')).';
+			TBE_EDITOR.labels.onChangeAlert = ' . $GLOBALS['LANG']->JScharCode($this->getLL('m_onChangeAlert')) . ';
-			evalFunc.USmode = '.($GLOBALS['TYPO3_CONF_VARS']['SYS']['USdateFormat']?'1':'0').';
+			evalFunc.USmode = ' . ($GLOBALS['TYPO3_CONF_VARS']['SYS']['USdateFormat'] ? '1' : '0') . ';
-			TBE_EDITOR.backend_interface = "'.$GLOBALS['BE_USER']->uc['interfaceSetup'].'";
+			TBE_EDITOR.backend_interface = "' . $GLOBALS['BE_USER']->uc['interfaceSetup'] . '";
 			';
 		}
 
 			// add JS required for inline fields
 		if (count($this->inline->inlineData)) {
-			$out .=	'
+			$out .= '
 			inline.addToDataArray(' . json_encode($this->inline->inlineData) . ');
 			';
 		}
@@ -5581,11 +5551,11 @@
 			$additionalJS_submit = str_replace(CR, '', $additionalJS_submit);
 			$additionalJS_submit = str_replace(LF, '', $additionalJS_submit);
 			$out .= '
-			TBE_EDITOR.addActionChecks("submit", "'.addslashes($additionalJS_submit).'");
+			TBE_EDITOR.addActionChecks("submit", "' . addslashes($additionalJS_submit) . '");
 			';
 		}
 
-		$out .= LF.implode(LF,$this->additionalJS_post).LF.$this->extJSCODE;
+		$out .= LF . implode(LF, $this->additionalJS_post) . LF . $this->extJSCODE;
 		$out .= '
 			TBE_EDITOR.loginRefreshed();
 		';
@@ -5593,7 +5563,7 @@
 			// Regular direct output:
 		if (!$update) {
 			$spacer = LF . TAB;
-			$out  = $spacer . implode($spacer, $jsFile) . t3lib_div::wrapJS($out);
+			$out = $spacer . implode($spacer, $jsFile) . t3lib_div::wrapJS($out);
 		}
 
 		return $out;
@@ -5605,9 +5575,9 @@
 	 * @param	string		Form object reference (including "document.")
 	 * @return	string		JavaScript functions/code (NOT contained in a <script>-element)
 	 */
-	function dbFileCon($formObj='document.forms[0]')	{
+	function dbFileCon($formObj = 'document.forms[0]') {
 			// @TODO: Export this to an own file, it is more static than dynamic JavaScript -- olly
-		$str='
+		$str = '
 
 			// ***************
 			// Used to connect the db/file browser with this document and the formfields on it!
@@ -5616,7 +5586,7 @@
 			var browserWin="";
 
 			function setFormValueOpenBrowser(mode,params) {	//
-				var url = "'.$this->backPath.'browser.php?mode="+mode+"&bparams="+params;
+				var url = "' . $this->backPath . 'browser.php?mode="+mode+"&bparams="+params;
 
 				browserWin = window.open(url,"Typo3WinBrowser","height=650,width="+(mode=="db"?650:600)+",status=0,menubar=0,resizable=1,scrollbars=1");
 				browserWin.focus();
@@ -5658,7 +5628,7 @@
 
 							// Traversing list and set the hidden-field
 						setHiddenFromList(fObj,formObj[fName]);
-						'.$this->TBE_EDITOR_fieldChanged_func.'
+						' . $this->TBE_EDITOR_fieldChanged_func . '
 					}
 				}
 			}
@@ -5799,11 +5769,11 @@
 					}
 					setHiddenFromList(fObjSel,formObj[fName]);
 
-					'.$this->TBE_EDITOR_fieldChanged_func.'
+					' . $this->TBE_EDITOR_fieldChanged_func . '
 				}
 			}
 			function setFormValue_getFObj(fName)	{	//
-				var formObj = '.$formObj.';
+				var formObj = ' . $formObj . ';
 				if (formObj)	{
 					if (formObj[fName] && formObj[fName+"_list"] && formObj[fName+"_list"].type=="select-multiple")	{
 						return formObj;
@@ -5824,14 +5794,14 @@
 	 *
 	 * @return	void
 	 */
-	function printNeededJSFunctions()	{
+	function printNeededJSFunctions() {
 			// JS evaluation:
 		$out = $this->JSbottom($this->formName);
 
 
 			// Integrate JS functions for the element browser if such fields or IRRE fields were processed:
-		if ($this->printNeededJS['dbFileIcons'] || $this->inline->inlineCount)	{
+		if ($this->printNeededJS['dbFileIcons'] || $this->inline->inlineCount) {
-			$out.= '
+			$out .= '
 
 
 
@@ -5841,7 +5811,7 @@
 
 			<script type="text/javascript">
 				/*<![CDATA[*/
-			'.$this->dbFileCon('document.'.$this->formName).'
+			' . $this->dbFileCon('document.' . $this->formName) . '
 				/*]]>*/
 			</script>';
 		}
@@ -5853,13 +5823,13 @@
 	 *
 	 * @return	void
 	 */
-	function printNeededJSFunctions_top()	{
+	function printNeededJSFunctions_top() {
 			// JS evaluation:
 		$out = $this->JStop($this->formName);
 		return $out;
 	}
 
- 	/**
+	/**
 	 * Includes a javascript library that exists in the core /typo3/ directory. The
 	 * backpath is automatically applied.
 	 * This method acts as wrapper for $GLOBALS['SOBE']->doc->loadJavascriptLib($lib).
@@ -5872,33 +5842,6 @@
 	}
 
 
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
-
 	/********************************************
 	 *
 	 * Various helper functions
@@ -5913,20 +5856,20 @@
 	 * @param	integer		PID value (positive / negative)
 	 * @return	array		"default" row.
 	 */
-	function getDefaultRecord($table,$pid=0)	{
+	function getDefaultRecord($table, $pid = 0) {
 		global $TCA;
-		if ($TCA[$table])	{
+		if ($TCA[$table]) {
 			t3lib_div::loadTCA($table);
 			$row = array();
 
-			if ($pid<0 && $TCA[$table]['ctrl']['useColumnsForDefaultValues'])	{
+			if ($pid < 0 && $TCA[$table]['ctrl']['useColumnsForDefaultValues']) {
 					// Fetches the previous record:
-				$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', $table, 'uid='.abs($pid).t3lib_BEfunc::deleteClause($table));
+				$res = $GLOBALS['TYPO3_DB']->exec_SELECTquery('*', $table, 'uid=' . abs($pid) . t3lib_BEfunc::deleteClause($table));
-				if ($drow = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res))	{
+				if ($drow = $GLOBALS['TYPO3_DB']->sql_fetch_assoc($res)) {
 						// Gets the list of fields to copy from the previous record.
-					$fArr = explode(',',$TCA[$table]['ctrl']['useColumnsForDefaultValues']);
+					$fArr = explode(',', $TCA[$table]['ctrl']['useColumnsForDefaultValues']);
-					foreach($fArr as $theF)	{
+					foreach ($fArr as $theF) {
-						if ($TCA[$table]['columns'][$theF])	{
+						if ($TCA[$table]['columns'][$theF]) {
 							$row[$theF] = $drow[$theF];
 						}
 					}
@@ -5934,8 +5877,8 @@
 				$GLOBALS['TYPO3_DB']->sql_free_result($res);
 			}
 
-			foreach($TCA[$table]['columns'] as $field => $info)	{
+			foreach ($TCA[$table]['columns'] as $field => $info) {
-				if (isset($info['config']['default']))	{
+				if (isset($info['config']['default'])) {
 					$row[$field] = $info['config']['default'];
 				}
 			}
@@ -5952,11 +5895,11 @@
 	 * @return	string		The record path.
 	 * @see t3lib_BEfunc::getRecordPath()
 	 */
-	function getRecordPath($table,$rec)	{
+	function getRecordPath($table, $rec) {
-		t3lib_BEfunc::fixVersioningPid($table,$rec);
+		t3lib_BEfunc::fixVersioningPid($table, $rec);
-		list($tscPID,$thePidValue)=$this->getTSCpid($table,$rec['uid'],$rec['pid']);
+		list($tscPID, $thePidValue) = $this->getTSCpid($table, $rec['uid'], $rec['pid']);
-		if ($thePidValue>=0)	{
+		if ($thePidValue >= 0) {
-			return t3lib_BEfunc::getRecordPath($tscPID,$this->readPerms(),15);
+			return t3lib_BEfunc::getRecordPath($tscPID, $this->readPerms(), 15);
 		}
 	}
 
@@ -5966,10 +5909,10 @@
 	 *
 	 * @return	string
 	 */
-	function readPerms()	{
+	function readPerms() {
-		if (!$this->perms_clause_set)	{
+		if (!$this->perms_clause_set) {
 			$this->perms_clause = $GLOBALS['BE_USER']->getPagePermsClause(1);
-			$this->perms_clause_set=1;
+			$this->perms_clause_set = 1;
 		}
 		return $this->perms_clause;
 	}
@@ -5980,7 +5923,7 @@
 	 * @param	string		Language label reference, eg. 'LLL:EXT:lang/locallang_core.php:labels.blablabla'
 	 * @return	string		The value of the label, fetched for the current backend language.
 	 */
-	function sL($str)	{
+	function sL($str) {
 		return $GLOBALS['LANG']->sL($str);
 	}
 
@@ -5993,15 +5936,15 @@
 	 * @param	string		The label key
 	 * @return	string		The value of the label, fetched for the current backend language.
 	 */
-	function getLL($str)	{
+	function getLL($str) {
 		$content = '';
 
-		switch(substr($str,0,2))	{
+		switch (substr($str, 0, 2)) {
 			case 'l_':
-				$content = $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.'.substr($str,2));
+				$content = $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:labels.' . substr($str, 2));
 			break;
 			case 'm_':
-				$content = $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:mess.'.substr($str,2));
+				$content = $GLOBALS['LANG']->sL('LLL:EXT:lang/locallang_core.php:mess.' . substr($str, 2));
 			break;
 		}
 		return $content;
